org.springframework.batch.core.step.job

## Class DefaultJobParametersExtractor

- java.lang.Object
- - org.springframework.batch.core.step.job.DefaultJobParametersExtractor

- All Implemented Interfaces:
    JobParametersExtractor

      public class DefaultJobParametersExtractor
      extends java.lang.Object
      implements JobParametersExtractor

  Simple implementation of `JobParametersExtractor` which pulls parameters with named keys out of the step execution context and the job parameters of the surrounding job.
  Author:
    Dave Syer, Will Schipp

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJobParametersExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobParameters` | `getJobParameters(Job job, StepExecution stepExecution)` Extract job parameters from the step execution, for example from the execution context or other properties.
    `void` | `setKeys(java.lang.String[] keys)` The key names to pull out of the execution context or job parameters, if they exist.
    `void` | `setUseAllParentParameters(boolean useAllParentParameters)` setter to support switching off all parent parameters

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJobParametersExtractor

          public DefaultJobParametersExtractor()

  - ### Method Detail

    - #### setKeys

          public void setKeys(java.lang.String[] keys)

      The key names to pull out of the execution context or job parameters, if they exist. If a key doesn't exist in the execution context then the job parameters from the enclosing job execution are tried, and if there is nothing there either then no parameter is extracted. Key names ending with `(long)`, `(int)`, `(double)`, `(date)` or `(string)` will be assumed to refer to values of the respective type and assigned to job parameters accordingly (there will be an error if they are not of the right type). Without a special suffix in that form a parameter is assumed to be of type String.
      Parameters:
        `keys` - the keys to set

    - #### getJobParameters

          public JobParameters getJobParameters(Job job,
                                                StepExecution stepExecution)

      Description copied from interface: `JobParametersExtractor`
      Extract job parameters from the step execution, for example from the execution context or other properties.
      Specified by:
        `getJobParameters` in interface `JobParametersExtractor`
      Parameters:
        `job` - a `Job`
        `stepExecution` - a `StepExecution`
      Returns:
        some `JobParameters`
      See Also:
        `JobParametersExtractor.getJobParameters(Job, StepExecution)`

    - #### setUseAllParentParameters

          public void setUseAllParentParameters(boolean useAllParentParameters)

      setter to support switching off all parent parameters
      Parameters:
        `useAllParentParameters` - if false do not include parent parameters. True if all parent parameters need to be included.